RESOLVED FIXED

Status

Infrastructure & Operations
WebOps: Other
RESOLVED FIXED
5 years ago
4 years ago

People

(Reporter: sancus, Assigned: cturra)

Tracking

(Blocks: 1 bug)

Details

(Whiteboard: [push interrupt])

(Reporter)

Description

5 years ago
Hi, I'd like an svn up for join.mozilla.org!
(Reporter)

Comment 1

5 years ago
https://svn.mozilla.org/projects/mozilla.org/branches/staging/join/ is where the code is, from my understanding, so this is a bit weird because it's a subdomain but it's sourced from mozilla.org staging. I also attached the last bug where this subdomain was mentioned just in case it has helpful information...

We plan to move this to github but unfortunately it needs an immediate content update.
Depends on: 656127
(Reporter)

Updated

5 years ago
Blocks: 840214
(Assignee)

Comment 2

5 years ago
i have done an `svn up` in dev (join-dev.allizom.org) for you. please give it a test and let me know how things look:

[root@genericadm.private.phx1 join]# svn up
Updating '.':
U    faq.php
Updated to revision 114696.

[root@genericadm.private.phx1 join]# svn info
Path: .
Working Copy Root Path: /data/genericrhel6-dev/src/join-dev.allizom.org/join
URL: http://svn.mozilla.org/projects/mozilla.org/branches/staging/join
Repository Root: http://svn.mozilla.org
Repository UUID: 4eb1ac78-321c-0410-a911-ec516a8615a5
Revision: 114696
Node Kind: directory
Schedule: normal
Last Changed Author: ross@mozillafoundation.org
Last Changed Rev: 113344
Last Changed Date: 2013-02-22 03:02:37 -0800 (Fri, 22 Feb 2013)

[root@genericadm.private.phx1 join-dev.allizom.org]# /data/genericrhel6-dev/deploy join-dev.allizom.org
[2013-04-01 10:44:43] Running rsync_project
[2013-04-01 10:44:43] [localhost] running: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/genericrhel6-dev/src/join-dev.allizom.org/ /data/genericrhel6-dev/www/join-dev.allizom.org/
[2013-04-01 10:44:43] [localhost] finished: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/genericrhel6-dev/src/join-dev.allizom.org/ /data/genericrhel6-dev/www/join-dev.allizom.org/ (0.065s)
[2013-04-01 10:44:43] Finished rsync_project (0.065s)
[2013-04-01 10:44:43] Running commit_www
[2013-04-01 10:44:43] [localhost] running: cd /data/genericrhel6-dev/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['join-dev.allizom.org']'
[2013-04-01 10:44:47] [localhost] finished: cd /data/genericrhel6-dev/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['join-dev.allizom.org']' (4.113s)
[localhost] out: [master afcd11f] deploy [join-dev.allizom.org]
[localhost] out: 2 files changed, 37 insertions(+), 22 deletions(-)
[2013-04-01 10:44:47] Finished commit_www (4.114s)
Assignee: server-ops-webops → cturra
Whiteboard: [push interrupt]
(Reporter)

Comment 3

5 years ago
Looks good to me, lets go live.
(Assignee)

Comment 4

5 years ago
push to production complete.

[root@genericadm.private.phx1 join.mozilla.org]# bash -x update
+ CODE_DIR=/data/genericrhel6/src/join.mozilla.org/join
+ date
Mon Apr  1 12:40:08 PDT 2013
+ echo -e 'Updating code...'
Updating code...
+ cd /data/genericrhel6/src/join.mozilla.org/join
+ svn up
Updating '.':
U    faq.php
Updated to revision 114706.
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ echo -e 'Deploying code...'
Deploying code...
+ '[' xterm == dumb ']'
+ /data/genericrhel6/deploy join.mozilla.org
[2013-04-01 12:40:09] Running rsync_project
[2013-04-01 12:40:09] [localhost] running: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/genericrhel6/src/join.mozilla.org/ /data/genericrhel6/www/join.mozilla.org/
[2013-04-01 12:40:09] [localhost] finished: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/genericrhel6/src/join.mozilla.org/ /data/genericrhel6/www/join.mozilla.org/ (0.391s)
[2013-04-01 12:40:09] Finished rsync_project (0.392s)
[2013-04-01 12:40:09] Running commit_www
[2013-04-01 12:40:09] [localhost] running: cd /data/genericrhel6/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['join.mozilla.org']'
[2013-04-01 12:40:22] [localhost] finished: cd /data/genericrhel6/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['join.mozilla.org']' (13.168s)
[localhost] out: [master e6ef292] deploy [join.mozilla.org]
[localhost] out: 1 file changed, 36 insertions(+), 21 deletions(-)
[2013-04-01 12:40:22] Finished commit_www (13.168s)
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Component: Server Operations: Web Operations → WebOps: Other
Product: mozilla.org → Infrastructure & Operations
You need to log in before you can comment on or make changes to this bug.